#!/usr/bin/env python3

from util import SAT2QUBO as s2q
from util import randomSAT as rs

ksatInstance = rs.generateRandomKSAT(2, 4, 3)

qubo = s2q.WMISdictQUBO(ksatInstance)

print(ksatInstance.toString())

for label in qubo:
    print(label, qubo[label])
